# Uses of Class
org.opensaml.core.xml.XMLObjectBuilderFactory

Packages that use XMLObjectBuilderFactory
Package
Description
org.opensaml.core.testing
org.opensaml.core.xml.config
Configuration of XML object providers and related functionality.
org.opensaml.core.xml.io
Interfaces and abstract implementations of marshallers and unmarshallers.
org.opensaml.saml.saml2.encryption
Classes for encrypting and decrypting SAML.
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.

## Uses of XMLObjectBuilderFactory in org.opensaml.core.testing

Fields in org.opensaml.core.testing declared as XMLObjectBuilderFactory
Modifier and Type
Field
Description
`protected static XMLObjectBuilderFactory`
XMLObjectBaseTestCase.`builderFactory`
XMLObject builder factory.

## Uses of XMLObjectBuilderFactory in org.opensaml.core.xml.config

Fields in org.opensaml.core.xml.config declared as XMLObjectBuilderFactory
Modifier and Type
Field
Description
`private XMLObjectBuilderFactory`
XMLObjectProviderRegistry.`builderFactory`
Configured XMLObject builder factory.
Methods in org.opensaml.core.xml.config that return XMLObjectBuilderFactory
Modifier and Type
Method
Description
`XMLObjectBuilderFactory`
XMLObjectProviderRegistry.`getBuilderFactory()`
Gets the XMLObject builder factory that has been configured with information from loaded configuration files.
`static XMLObjectBuilderFactory`
XMLObjectProviderRegistrySupport.`getBuilderFactory()`
Gets the XMLObject builder factory that has been configured with information from loaded configuration files.

## Uses of XMLObjectBuilderFactory in org.opensaml.core.xml.io

Fields in org.opensaml.core.xml.io declared as XMLObjectBuilderFactory
Modifier and Type
Field
Description
`private final XMLObjectBuilderFactory`
AbstractXMLObjectUnmarshaller.`xmlObjectBuilderFactory`
Factory for XMLObjectBuilders.

## Uses of XMLObjectBuilderFactory in org.opensaml.saml.saml2.encryption

Fields in org.opensaml.saml.saml2.encryption declared as XMLObjectBuilderFactory
Modifier and Type
Field
Description
`private XMLObjectBuilderFactory`
Encrypter.`builderFactory`
Factory for building XMLObject instances.

## Uses of XMLObjectBuilderFactory in org.opensaml.xmlsec.keyinfo.impl

Fields in org.opensaml.xmlsec.keyinfo.impl declared as XMLObjectBuilderFactory
Modifier and Type
Field
Description
`private final XMLObjectBuilderFactory`
BasicKeyInfoGeneratorFactory.BasicKeyInfoGenerator.`builderFactory`
Builder factory for KeyInfo objects.